using FalcoEngine;
using System.Text.RegularExpressions;
using System;

public class StatsManager : MonoBehaviour
{
	public string status = "s";
	public int currentLevel;
    public float ballsSizes = 0f;
    public float ballsSizesPotential = 0f;

    public int turns = 5;

    public void MoveToNextLevel()
    {
        SceneManager.LoadScene($"{currentLevel + 1}.scene");
    }

    public void RestartLevel()
    {
        SceneManager.LoadScene($"{currentLevel}.scene");
    }

    void UpdateCount()
    {
        BallSpawnManager[] balls = FindObjectsOfType<BallSpawnManager>();

        ballsSizes = 0f;
        ballsSizesPotential = 0f;

        foreach (BallSpawnManager ball in balls)
        {
            if (ball.spawned)
                ballsSizes += ball.size;
            else
                ballsSizesPotential += ball.size;
        }
    }

    void Update()
    {
        UpdateCount();
    }

    void Start()
    {
        currentLevel = Convert.ToInt32(Regex.Replace(SceneManager.loadedScene, @"[^\d]+", ""));
    }
}
