using FalcoEngine;
using System.ComponentModel;

public class BallSpawnManager : MonoBehaviour
{
	public bool spawned = false;

	public float size = 1;

	private MouseManager mouse;
	private SphereCollider sphere;
	private StatsManager stats;

	void Start()
	{
		mouse = FindObjectOfType<MouseManager>();
        stats = FindObjectOfType<StatsManager>();
        sphere = gameObject.GetComponent<SphereCollider>();
    }
	
	void Update()
	{
		if (!spawned)
		{
            Destroy(sphere);
			sphere = null;
			
			rigidbody.linearVelocity = Vector3.zero;

            size += 100 * Time.deltaTime;

			transform.scale = new Vector3(size, size, size);
            transform.position = (transform.position * 49.0f + mouse.GetGlobalMousePosition(10)) / 50.0f;

            if (Input.GetMouseButtonUp(0))
				spawned = true;
		}

		if (sphere == null)
		{
			sphere = gameObject.AddComponent<SphereCollider>();
			sphere.radius = 0.001f;
        }
    }

    void OnCollisionEnter(Collision col)
    {
		if (!spawned)
		{
			if (col.other.gameObject.name.Contains("Sphere"))
			{
				size -= 1000 * Time.deltaTime;
				if (size <= 0)
					Destroy(gameObject);
				transform.scale = new Vector3(size, size, size);
			}
			if (col.other.gameObject.name.Contains("Cube") | col.other.gameObject.name.Contains("Lock") | col.other.gameObject.name.Contains("Saw"))
				Destroy(gameObject);
		}
		else
		{
			if (col.other.gameObject.name.Contains("Finish"))
				stats.status = "f";
        }
    }
}
